<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="name">Nome</label>
                            <input #nameField [ngClass]="{'is-invalid': errors.name}" [(ngModel)]="s3Bucket.name"
                                   type="text"
                                   class="form-control" id="name" placeholder="Nome do Buckeet">
                            <div *ngIf="errors.name" class="invalid-feedback">
                                {{ errors.name }}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="bucket_name">Nome na Amazon - não pode conter espaços</label>
                            <input [disabled]="s3Bucket.created" [ngClass]="{'is-invalid': errors.bucket_name}" [(ngModel)]="s3Bucket.bucket_name"
                                   type="text"
                                   class="form-control" id="bucket_name" placeholder="Nome do Bucket na Amazon">
                            <div *ngIf="errors.bucket_name" class="invalid-feedback">
                                {{ errors.bucket_name }}
                            </div>
                        </div>
                    </div>
                </div>

                <hr/>

                <div class="alert alert-warning" *ngIf="s3Bucket.created">
                    Este bucket não pode ter seu <strong>Nome na amazon</strong> alterado, pois já foi criado na
                    amazon! Alterar este nome dará problemas para recuperar seus arquivos!
                </div>

                <div class="row">
                    <div class="col-3 offset-6">
                        <button (click)="cancel()" class="btn btn-block btn-danger">
                            <i class="fa fa-history"></i>
                            Cancelar
                        </button>
                    </div>
                    <div class="col-3">
                        <button (click)="save()" class="btn btn-block btn-dark-success">
                            <i class="fa fa-save"></i>
                            Salvar
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
